Networking System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.x.x 1.0.5000.0 2.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.Object

Provides a socket address stored in a array.

At a minimum, a socket address consists of a member of the enumeration stored in the first two bytes of the array.

- Constructor
  One of the values of the enumeration.

  Constructs and initializes a new instance of the class.

  This method is equivalent to (, 32).

  0
  1.0.5000.0
  2.0.0.0
- Constructor
  One of the values of the enumeration.
  A containing the number of bytes to allocate for the array storing the socket address.

  Constructs and initializes a new instance of the class.

  The minimum value for is 2 bytes.

  is less than 2.
  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same socket address.

  A where indicates is an instance of the class and contains the same data as the current instance; otherwise .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Net.Sockets.AddressFamily

  Gets the address family which specifies the addressing scheme used to resolve an address.

  One of the values defined in the enumeration.

  This property is read-only.

  This property is set by the constructors and is stored in the first two bytes of the socket address array.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A containing the hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Byte `` A containing the zero-based index of the element to get or set.

  Gets or sets the element at the specified index of the array storing the socket address.

  A containing the element at the specified index.

  To be added.

  is < 0.

  -or-

  >= .

  0
  1.0.5000.0
  2.0.0.0
- Property
  System.Int32

  Gets the length of the socket address.

  A containing the length of the array storing the socket address.

  This property is read-only.

  This property is set by the constructors.

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance.

  The returned string contains the string representation of the address family, the length of the array holding the socket address, and the contents of the array from the third to the maximum element, output in the following format:

  ::{array[2], array[3], ..., element[- 1]}

  This method overrides .

  The following example writes a socket address to the console.

  `using System; using System.Net; using System.Net.Sockets; public class SocketAddressToString{ public static void Main() { Console.WriteLine("This is a minimal SocketAddress."); SocketAddress socketAddress = new SocketAddress(AddressFamily.InterNetwork); Console.WriteLine("{0}", socketAddress.ToString()); } }`

  The output is

  This is a minimal SocketAddress.

  InterNetwork:32:{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0}

  0
  1.0.5000.0
  2.0.0.0
0